## autotools-dev 20140911.1

=== debian/changelog ===
autotools-dev (20140911.1) unstable; urgency=medium

  * Sync to upstream git 2014-09-11
    [commit 576c839acca0e082e536fd27568b90a446ce5b96]
    + Add support for the RISC-V ISA (riscv32, riscv64)
  * Reword README.Debian to not use bad words (closes: #761291)
  * debian/control: bump standards-version to 3.9.5 (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 12 Sep 2014 16:07:31 -0300

autotools-dev (20140510.1) unstable; urgency=low

  * Sync to upstream git 2014-05-10
    [commit 5049811e672698aa2337bb27ede94e54c9174154]
    + Updates for some embedded Linux platforms such as openrisc/or1k

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 10 May 2014 18:02:55 -0300

## autotools-dev 20150820.1

=== debian/changelog ===
autotools-dev (20150820.1) unstable; urgency=medium

  * Sync to upstream git 2015-08-20
    [commit c4d5b5f44eeb7646f248af948c036313769ba7b9]
    + config.guess: return x86_64-pc-linux-gnu instead of
      x86_64-unknown-linux-gnu
    + Add support for a few new arches and cpus that run Linux.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 11 Sep 2015 18:19:37 -0300

=== debian/control ===
Source: autotools-dev
Section: devel
Priority: optional
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: debhelper (>> 7)
Build-Depends-Indep: perl
Standards-Version: 3.9.5
Homepage: http://savannah.gnu.org/projects/config/
Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git

Package: autotools-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: cdbs, debhelper
Description: Update infrastructure for config.{guess,sub} files
 This package installs an up-to-date version of config.guess and
 config.sub, used by the automake and libtool packages.  It provides
 the canonical copy of those files for other packages as well.
 .
 It also documents in /usr/share/doc/autotools-dev/README.Debian.gz
 best practices and guidelines for using autoconf, automake and
 friends on Debian packages.  This is a must-read for any developers
 packaging software that uses the GNU autotools, or GNU gettext.
 .
 Additionally this package provides seamless integration into Debhelper
 or CDBS, allowing maintainers to easily update config.{guess,sub} files
 in their packages.

## autotools-dev 20160430.1

=== debian/changelog ===
autotools-dev (20160430.1) unstable; urgency=medium

  * Sync to upstram git 2016-04-30
    [commit 706fbe57e39d59f319d338de13b20cecbf7c638c]
    + Add support for some non-Linux platforms
    + Fixes some issues found by shellcheck
  * debian/control: bump standards version (no changes)
  * NEWS.Debian: fix typo

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 30 Apr 2016 07:52:30 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://savannah.gnu.org/projects/config/
 Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
 Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git

## autotools-dev 20161112.1

=== Makefile ===
all:

check: check-guess check-sub

manpages: doc/config.guess.1 doc/config.sub.1

doc/config.guess.1:
	help2man -N --include=doc/config.guess.x --output=$@ ./config.guess

doc/config.sub.1:
	help2man -N --name "validate and canonicalize a configuration triplet" --output=$@ ./config.sub

check-guess:
	cd testsuite && sh config-guess.sh && rm uname

check-sub:
	cd testsuite && sh config-sub.sh

=== debian/changelog ===
autotools-dev (20161112.1) unstable; urgency=medium

  * Sync to upstream git 2016-11-12
    [commit daabcd0839d1fbce591bc54d779773b916e4ec62]
    + mips64el:Linux:*:*
    + riscv32:Linux:*:*, riscv64:Linux:*:*
    + Add or fix support for some non-Linux platforms
  * debian/control, compat: switch to debhelper level 9

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 12 Nov 2016 18:18:52 -0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 7)
+Build-Depends: debhelper (>> 9)
 Build-Depends-Indep: perl
 Standards-Version: 3.9.8
 Homepage: http://savannah.gnu.org/projects/config/

## autotools-dev 20180224.1

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 manpages: doc/config.guess.1 doc/config.sub.1
 
-doc/config.guess.1:
+doc/config.guess.1: config.guess
 	help2man -N --include=doc/config.guess.x --output=$@ ./config.guess
 
-doc/config.sub.1:
+doc/config.sub.1: config.sub
 	help2man -N --name "validate and canonicalize a configuration triplet" --output=$@ ./config.sub
 
 check-guess:

=== debian/changelog ===
autotools-dev (20180224.1) unstable; urgency=medium

  * Sync to upstream git 2018-02-24
    [commit bd9626458c30d7faec17d7dfbd85a80617b10007]
    + Add detection of x32 ABI for x86_64-*-linux-gnu (closes: #891281)
  * debian/control: update vcs-* for salsa.debian.org
  * debian/control: bump standards-version to 4.1.3 (no changes needed)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 24 Feb 2018 13:00:57 -0300

autotools-dev (20171216.1) unstable; urgency=medium

  * Sync to upstream git 2017-12-16
    [commit f5641da650f5b82367a70983762bbf0e9db0a891]
    + Add or fix support for some non-Linux platforms (closes: #884458)
  * Acknowledge NMU 20161112.1+nmu1 (closes: #879509),
    thanks to: Niels Thykier.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 16 Dec 2017 13:05:22 -0200

autotools-dev (20161112.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Deprecate debhelper tools and sequence.  They have been
    replaced by debhelper (>= 9.20160115).  (Closes: #878528)
  * Update autotools-dev.README.Debian to reflect the current
    status.  (Closes: #812521)

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Oct 2017 12:33:43 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>> 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://savannah.gnu.org/projects/config/
-Vcs-Browser: http://git.debian.org/?p=users/hmh/autotools-dev.git
-Vcs-Git: git://git.debian.org/users/hmh/autotools-dev.git
+Vcs-Browser: https://salsa.debian.org/hmh/autotools-dev
+Vcs-Git: https://salsa.debian.org/hmh/autotools-dev.git
 
 Package: autotools-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for autotools-dev
# Copyright (c) 1997-2012 by Henrique M. Holschuh and others

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	pod2man -c Debhelper debian/dh_autotools-dev_updateconfig  debian/dh_autotools-dev_updateconfig.1
	pod2man -c Debhelper debian/dh_autotools-dev_restoreconfig debian/dh_autotools-dev_restoreconfig.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f debian/dh_autotools-dev_updateconfig.1 debian/dh_autotools-dev_restoreconfig.1
	-rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install config.guess config.sub $(CURDIR)/debian/autotools-dev/usr/share/misc
	install debian/dh_autotools-dev_updateconfig debian/dh_autotools-dev_restoreconfig $(CURDIR)/debian/autotools-dev/usr/bin
	install debian/autotools_dev.pm $(CURDIR)/debian/autotools-dev/usr/share/perl5/Debian/Debhelper/Sequence

build-arch:

# Build architecture-dependent files here.
binary-arch:
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build-indep install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-indep build-arch install

## autotools-dev 20180224.1+nmu1

=== debian/changelog ===
autotools-dev (20180224.1+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Dec 2020 18:16:35 +0100

## autotools-dev 20180224.1+nmu1.lnd.2

=== debian/changelog ===
autotools-dev (20180224.1+nmu1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:25:59 +0800

autotools-dev (20180224.1+nmu1.lnd.1) unstable; urgency=medium

  * Add loongarch support

 -- Nan xiongchao <nanxiongchao@loongson.cn>  Fri, 16 Apr 2021 11:36:22 +0800

## autotools-dev 20220109.1

=== debian/changelog ===
autotools-dev (20220109.1) unstable; urgency=medium

  [ Henrique de Moraes Holschuh ]
  * sync to upstream git 2022-01-09
    [commit c179db1b6f2ae484bfca1e9f8bae273e3319fa7d]
    + Add support for csky, loongarch64, RISC v6, and a few others
      (closes: #894187, #962766, #989944, #1003400)
    + x86_64 x32 ABI support needs $CC_FOR_BUILD set and operational
    + config.sub(1) and config.guess(1) are now in GNU config, moved
      upstream from autoconf (autoconf 2.70)
  * Ship config.sub(1) and config.guess(1) manpages in autotools-dev
    These manpages were previously shipped by the autoconf package, so
    autotools-dev now Replaces+Breaks autoconf (<< 2.70~).  Backports
    of this package will have to work around this issue (e.g. by not
    shipping the manpages to be able to remove the replaces+breaks).
    (closes: #973899)
  * debian: switch to the dh sequencer, and to debhelper compat level 12
    + Run package test suite during build (make check)
  * debian: Reenable git tracking of ChangeLog, and update it for
    the new upstream release manually, otherwise we'd get Debian packaging
    artifacts in it.  This will be improved in the future.
  * debian/control: bump standards version to 4.6.0, no changes required
  * debian/control: set rules-requires-root to no
  * debian/README.source: add, with relevant comments about the upstream
    ChangeLog generation, and the manpages causing a conflict with the
    autoconf packages in Debian 11 and earlier.
  * debian/copyright: minor updates
  * debian/.gitignore: add

  [ Debian Janitor ]
  * debian/control: Use secure URI in Homepage field

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 31 Jan 2022 11:43:17 -0300

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for autotools-dev
# Copyright (c) 1997-2012,2022 by Henrique M. Holschuh and others

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Otherwise our new versions would be replaced with the system ones...
override_dh_update_autotools_config:

override_dh_auto_build:
	dh_testdir
	$(MAKE)
	$(MAKE) manpages
	pod2man -c Debhelper debian/dh_autotools-dev_updateconfig  debian/dh_autotools-dev_updateconfig.1
	pod2man -c Debhelper debian/dh_autotools-dev_restoreconfig debian/dh_autotools-dev_restoreconfig.1

override_dh_auto_clean:
	dh_auto_clean
	-rm -f debian/dh_autotools-dev_updateconfig.1 debian/dh_autotools-dev_restoreconfig.1
	-rm -f doc/config.guess.1 doc/config.sub.1

## autotools-dev 20220109.1.1+dde

=== debian/changelog ===
autotools-dev (20220109.1.1+dde) UNRELEASED; urgency=medium

  * update

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 26 Jul 2022 15:32:47 +0800

autotools-dev (20220109.1.1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Changwei Miao <miaochangwei@uniontech.com>  Tue, 26 Jul 2022 07:14:34 +0000

## autotools-dev 20240727.1

=== Makefile ===
HELP2MAN = help2man -N

all:

check: check-guess check-sub

manpages: doc/config.guess.1 doc/config.sub.1

check-guess:
	cd testsuite && bash config-guess.sh && rm uname

check-sub:
	cd testsuite && bash config-sub.sh

shellcheck:
	shellcheck -f gcc config.guess config.sub testsuite/*.sh

.PHONY: sort
sort: testsuite/config-guess.data testsuite/config-sub.data
	for f in $^; do LC_ALL=C sort -u $$f -o $$f; done

doc/%.1: % doc/%.x
	$(HELP2MAN) --include=doc/$<.x --output=$@ ./$<

gen_changelog_start_date = 2020-12-21 12:21
.PHONY: ChangeLog
ChangeLog:
	@rm -f $@.new
	{ ./gitlog-to-changelog --append-dot \
		--since='$(gen_changelog_start_date)' && \
	  echo && echo && echo 'See ChangeLog-old for older changes.'; \
	} > $@.new
	mv -f $@.new $@

=== debian/changelog ===
autotools-dev (20240727.1) unstable; urgency=medium

  * sync to upstrea git 2024-07-27
    [commit 00b15927496058d23e6258a28d8996f87cf1f191]
    + Port config.guess to strict POSIX.1-2024 c17
    + config.sub: testsuite: add 121 more test cases.
    + config.sub: add missing CPUs, vendors, and OSes.
    + config.sub: improve consistency of shorthands and X-Y partial names.
    + config.sub: Treat i386-pc-rtmk-nova as a 4-part system name.
    + config.sub: remove two unreachable case clauses.
    + config.sub: normalize nextstep/openstep consistently.
    + config.sub: don’t override OS for blackfin, m68knommu, parisc.
    + config.sub: don’t override OS for c90-cray.
    + config.sub: handle cNN-convex and convex-cNN shorthands correctly.
    + config.sub: accept knetbsd-gnu, netbsd-gnu, uclinux-gnu.
    + config.sub: consistently use sun as default vendor for solaris*.
    + config.sub: correct Bull DPX/2-[123]00 and DPX/20 canonical names.
    + config.sub: flatten and sort long case-alternative lists
    + config.sub: disable shellcheck warning SC2162 globally.
    + config.sub: testsuite: whitespace and sorting corrections.
    + config.guess: Avoid implicit int in definitions of main.
    + config.sub: recognize L4Re OS
    + config.sub: Recognize OpenHarmony OS
    + config.sub: recognise ARM64E machine type
    + config.sub: recognize nanoMIPS CPUs
    + config.guess: recognize ironclad OS
    + config.sub: recognize ironclad OS
    + config.sub: recognize *-*-uefi
    + Recognize the VideoCore 4 processor
    + config.guess: detect LLVM-libc via features.h
    + config.sub: add LLVM-libc support
    + config.sub: Remove windows-gnu
    + config.sub: recognise ARM64EC machine type
    + testsuite: add tests for the aarch64c change
    + config.sub: allow aarch64c-unknown-freebsd
    + config.guess: invoke "uname -p" from PATH for non-arm FreeBSD
    + config.guess: Detect Android (as opposed to GNU/Linux)
    + config.sub: add javascript-*-ghcjs
    + testsuite: add coverage for vendor-clobbering
    + config.sub: Systematize parsing of machine code formats
    + config.sub: Handle arbitrary MIPS CPU names
    + config.guess (aarch64:Linux:*:*): Detect 32-bit ABI
    + Add KVX MPPA detection
    + config.sub: Add Apple tvOS and watchOS
    + config.sub: Accept $cpu-$vendor-none-{coff,elf}
    + config.sub: Accept LLVM-style $cpu-$vendor-windows-{gnu,msvc}
    + Quote 'like this', not `like this'.
    + Fix config.sub spelling typo for "athlon"
    + testsuite: make config data sorted using "make sort"
    + config.sub: add linux-mlibc targets
    + config.guess: support running on Managarm systems
    + config.sub: add managarm-{mlibc,kernel} targets
    + Remove loongarchx32
    + config.guess: Update Haiku guesses
    + config.guess (x86_64:Linux:*:*): Detect 32-bit ABI.
    + testsuite: Add one more testcase.
  * upstream: generate updated ChangeLog using make ChangeLog

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 23 Mar 2025 14:49:40 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>> 9)
+Build-Depends: debhelper-compat (= 12), help2man
 Build-Depends-Indep: perl
-Standards-Version: 4.1.3
-Homepage: http://savannah.gnu.org/projects/config/
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://savannah.gnu.org/projects/config/
 Vcs-Browser: https://salsa.debian.org/hmh/autotools-dev
 Vcs-Git: https://salsa.debian.org/hmh/autotools-dev.git
 
@@ -14,6 +15,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: cdbs, debhelper
+Breaks: autoconf (<< 2.70~)
+Replaces: autoconf (<< 2.70~)
 Description: Update infrastructure for config.{guess,sub} files
  This package installs an up-to-date version of config.guess and
  config.sub, used by the automake and libtool packages.  It provides

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 	dh_auto_clean
 	-rm -f debian/dh_autotools-dev_updateconfig.1 debian/dh_autotools-dev_restoreconfig.1
 	-rm -f doc/config.guess.1 doc/config.sub.1
+
+# we're native and yet we do have an upstream changelog
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog

## autotools-dev 20240727.1build1

=== debian/changelog ===
autotools-dev (20240727.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:17:29 +0100
